---
lang: en
title: 'API docs: rest.validateapipath'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.validateapipath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [validateApiPath](./rest.validateapipath.md)

## validateApiPath() function

Validate the path to be compatible with OpenAPI path template. No parameter modifier, custom pattern, or unnamed parameter is allowed.

<b>Signature:</b>

```typescript
export declare function validateApiPath(path?: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  path | <code>string</code> |  |

<b>Returns:</b>

`string`


